﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp18
{
    public partial class Form1 : Form
    {
        Model1Container context = new Model1Container();
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            Contact c1 = new Contact();
            c1.Address = "Athens";
            c1.Email = "paul@unipi.gr";
            c1.FullName = "Paul Map";
            TelephoneNumber t1= new TelephoneNumber();
            t1.Number = "2104142000";
            c1.TelephoneNumbers.Add(t1);
            context.Contacts.Add(c1);
            context.SaveChanges();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            MessageBox.Show(context.Contacts.Count().ToString());
        }

        private void button3_Click(object sender, EventArgs e)
        {
            var query = from c in context.Contacts
                        select new { c.FullName, c.Email, c.Address };
            StringBuilder builder = new StringBuilder();
            foreach (var item in query)
            {
                builder.Append(item.ToString()).Append(Environment.NewLine);
            }
            MessageBox.Show(builder.ToString());
        }
    }
}
